[ImoLUG] Ho fatto un Casotto :(

Alchemyst angelus491@gmail.com
Mer 10 Feb 2010 09:23:40 CET


ieri ho aggiornato gli headers del kernel a 2.6.31
adesso mi da broken dependency e non riesco a metterlo a posto nemmeno con
apt-get -f install
come faccio? :(

blade@blade-portable:~$ sudo apt-get -f install
[sudo] password for blade:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
Correzione delle dipendenze... Fatto
I seguenti pacchetti saranno inoltre installati:
  linux-headers-2.6.31-20-generic
I seguenti pacchetti NUOVI saranno installati:
  linux-headers-2.6.31-20-generic
0 aggiornati, 1 installati, 0 da rimuovere e 0 non aggiornati.
5 non completamente installati o rimossi.
 necessario scaricare 0B/704kB di archivi.
Dopo quest'operazione, verranno occupati 8839kB di spazio su disco.
Continuare [S/n]? s
E: Firma dell'archivio non valida
E: Prior errors apply to
/var/cache/apt/archives/linux-headers-2.6.31-20-generic_2.6.31-20.57_amd64.deb
debconf: apt-extracttemplates fallito: Descrittore di file errato
dpkg-deb:
"/var/cache/apt/archives/linux-headers-2.6.31-20-generic_2.6.31-20.57_amd64.deb"
non  un archivio in formato debian
dpkg: errore nell'elaborare
/var/cache/apt/archives/linux-headers-2.6.31-20-generic_2.6.31-20.57_amd64.deb
(--unpack):
 il sottoprocesso dpkg-deb --control ha restituito lo stato di errore 2
Si sono verificati degli errori nell'elaborazione:
 /var/cache/apt/archives/linux-headers-2.6.31-20-generic_2.6.31-20.57_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
-------------- parte successiva --------------
Un allegato HTML  stato rimosso...
URL: <http://lists.linux.it/private/imolug/attachments/20100210/ce154545/attachment.htm>


Maggiori informazioni sulla lista ImoLUG